class Instrument:
    def makeSound(self):
        print("Nothing happens")

class Guitar(Instrument):
    def makeSound(self):
        print("Epic guitar sound!!")

class Piano(Instrument):
    def makeSound(self):
        print("Wonderful piano sound!!")

def startConcert(inst):
    inst.makeSound()

i = Instrument()
g = Guitar()
p = Piano()

startConcert(i)
startConcert(g)
startConcert(p)